List Entities
curl --request POST \
--url https://api.flare.io/firework/v4/entities/global/_search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "",
"filters": {
"types": [],
"sources": [
"<string>"
],
"topic_ids": [
"<string>"
],
"created_at": {
"gt": "2023-11-07T05:31:56Z",
"gte": "2023-11-07T05:31:56Z",
"lt": "2023-11-07T05:31:56Z",
"lte": "2023-11-07T05:31:56Z"
},
"updated_at": {
"gt": "2023-11-07T05:31:56Z",
"gte": "2023-11-07T05:31:56Z",
"lt": "2023-11-07T05:31:56Z",
"lte": "2023-11-07T05:31:56Z"
},
"first_seen_at": {
"gt": "2023-11-07T05:31:56Z",
"gte": "2023-11-07T05:31:56Z",
"lt": "2023-11-07T05:31:56Z",
"lte": "2023-11-07T05:31:56Z"
},
"last_seen_at": {
"gt": "2023-11-07T05:31:56Z",
"gte": "2023-11-07T05:31:56Z",
"lt": "2023-11-07T05:31:56Z",
"lte": "2023-11-07T05:31:56Z"
}
},
"sort": "<string>",
"order": "desc",
"from": "<string>",
"size": 10
}
'import requests
url = "https://api.flare.io/firework/v4/entities/global/_search"
payload = {
"query": "",
"filters": {
"types": [],
"sources": ["<string>"],
"topic_ids": ["<string>"],
"created_at": {
"gt": "2023-11-07T05:31:56Z",
"gte": "2023-11-07T05:31:56Z",
"lt": "2023-11-07T05:31:56Z",
"lte": "2023-11-07T05:31:56Z"
},
"updated_at": {
"gt": "2023-11-07T05:31:56Z",
"gte": "2023-11-07T05:31:56Z",
"lt": "2023-11-07T05:31:56Z",
"lte": "2023-11-07T05:31:56Z"
},
"first_seen_at": {
"gt": "2023-11-07T05:31:56Z",
"gte": "2023-11-07T05:31:56Z",
"lt": "2023-11-07T05:31:56Z",
"lte": "2023-11-07T05:31:56Z"
},
"last_seen_at": {
"gt": "2023-11-07T05:31:56Z",
"gte": "2023-11-07T05:31:56Z",
"lt": "2023-11-07T05:31:56Z",
"lte": "2023-11-07T05:31:56Z"
}
},
"sort": "<string>",
"order": "desc",
"from": "<string>",
"size": 10
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '',
filters: {
types: [],
sources: ['<string>'],
topic_ids: ['<string>'],
created_at: {
gt: '2023-11-07T05:31:56Z',
gte: '2023-11-07T05:31:56Z',
lt: '2023-11-07T05:31:56Z',
lte: '2023-11-07T05:31:56Z'
},
updated_at: {
gt: '2023-11-07T05:31:56Z',
gte: '2023-11-07T05:31:56Z',
lt: '2023-11-07T05:31:56Z',
lte: '2023-11-07T05:31:56Z'
},
first_seen_at: {
gt: '2023-11-07T05:31:56Z',
gte: '2023-11-07T05:31:56Z',
lt: '2023-11-07T05:31:56Z',
lte: '2023-11-07T05:31:56Z'
},
last_seen_at: {
gt: '2023-11-07T05:31:56Z',
gte: '2023-11-07T05:31:56Z',
lt: '2023-11-07T05:31:56Z',
lte: '2023-11-07T05:31:56Z'
}
},
sort: '<string>',
order: 'desc',
from: '<string>',
size: 10
})
};
fetch('https://api.flare.io/firework/v4/entities/global/_search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"metadata": {
"id": "<string>",
"created_by": "<string>",
"sources": [
{
"id": "<string>",
"name": "<string>",
"confidence": 123
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"confidence": 123
},
"data": {
"name": "<string>",
"description": "<string>"
},
"entity_type": "actor"
}
],
"next": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Entities API
List Entities
POST
/
firework
/
v4
/
entities
/
global
/
_search
List Entities
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
items
(ActorLiteAPIResponse · object | AttackPatternEntityLiteAPIResponse · object | CampaignEntityLiteAPIResponse · object | ChatChannelEntityLiteAPIResponse · object | ExternalReportEntityLiteAPIResponse · object | ForumThreadLiteAPIResponse · object | IndicatorEntityLiteAPIResponse · object | InfrastructureEntityLiteAPIResponse · object | LocationEntityLiteAPIResponse · object | MalwareEntityLiteAPIResponse · object | ThreatActorEntityLiteAPIResponse · object | ThreatActorGroupEntityLiteAPIResponse · object | ToolEntityLiteAPIResponse · object | VulnerabilityEntityLiteAPIResponse · object)[]
required
- ActorLiteAPIResponse
- AttackPatternEntityLiteAPIResponse
- CampaignEntityLiteAPIResponse
- ChatChannelEntityLiteAPIResponse
- ExternalReportEntityLiteAPIResponse
- ForumThreadLiteAPIResponse
- IndicatorEntityLiteAPIResponse
- InfrastructureEntityLiteAPIResponse
- LocationEntityLiteAPIResponse
- MalwareEntityLiteAPIResponse
- ThreatActorEntityLiteAPIResponse
- ThreatActorGroupEntityLiteAPIResponse
- ToolEntityLiteAPIResponse
- VulnerabilityEntityLiteAPIResponse
Show child attributes
Show child attributes
Was this page helpful?
⌘I